#ifndef SIGNAL_EDITOR_H
#define SIGNAL_EDITOR_H

#include <QtGui>

#include "Plot.h"
#include "my_signal.h"
#include "HelpDialog.h"
#include "CreateSignalThread.h"


class SignalEditor : public QWidget{
	Q_OBJECT
	private:
		Plot * preview;
		QLineEdit * func;
		QLineEdit * from;
		QLineEdit * to;
		QLineEdit * step;
		QPushButton * showPreview;
		QPushButton * showHelp;

		CreateSignalThread *thread;
		
	public:
		SignalEditor(QWidget * parent=0);
		~SignalEditor();
		
	public slots:
		void previewClicked();
		void helpClicked();

		void threadFinished();
};


#endif
